# Created by pyp2rpm-3.3.2
%global pypi_name scripttester

Name:           python-%{pypi_name}
Version:        0.1
Release:        %mkrel 10
Summary:        Utility for testing command line scripts
Group:          Development/Python
License:        BSD license
URL:            https://github.com/matthew-brett/scripttester
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Update versioneer to fix FTBFS with python 3.11
# https://github.com/matthew-brett/scripttester/issues/1
Patch0:         python-scripttester-versioneer.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)

%description
Provides class to be instantiated in tests that check that scripts can be run
and give correct output. Usually works something like this in a test module.

%package -n     python3-%{pypi_name}
Summary:        Utility for testing command line scripts
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pytest)

%description -n python3-%{pypi_name}
Provides class to be instantiated in tests that check that scripts can be run
and give correct output. Usually works something like this in a test module.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Fri Dec 27 2024 papoteur <papoteur> 0.1-10.mga10
+ Revision: 2130488
- add and use pytest

* Tue Feb 27 2024 daviddavid <daviddavid> 0.1-9.mga10
+ Revision: 2044709
- rebuild for py3.12
- switch to pyproject
- add fedora patch to fix build with python >= 3.11

* Sat Mar 26 2022 umeabot <umeabot> 0.1-8.mga9
+ Revision: 1828561
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 0.1-7.mga9
+ Revision: 1782669
- rebuild for python-3.10

* Tue Mar 23 2021 daviddavid <daviddavid> 0.1-6.mga9
+ Revision: 1708082
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.1-5.mga8
+ Revision: 1532724
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 0.1-4.mga8
+ Revision: 1442912
- rebuild for python-3.8

* Mon Sep 16 2019 daviddavid <daviddavid> 0.1-3.mga8
+ Revision: 1442221
- rebuild for python3.8

* Fri Aug 30 2019 wally <wally> 0.1-2.mga8
+ Revision: 1435716
- drop python2 support
- update description

* Mon Jan 07 2019 shlomif <shlomif> 0.1-1.mga7
+ Revision: 1350459
- pyp2rpm

